Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.content.property
Interface IPropertyManager

public interface IPropertyManager

Handles creation of various types of Content Server properties, all of which are sub-types of `IBaseProperty`.

After a property is created it can be added to a new or persisted `IDataEntryTemplate` using `IDataEntryTemplate.addProperty`. See `IDataEntryTemplate` code sample and documentation on how to create properties of various types and add them to a new Data Entry Template.

No `store` method is needed to persist a property after it is created.

Property objects cannot be added to a folder and thus they are not retrievable by themselves. Any properties that are not added to a Data Entry Template will be "lost". `IDataEntryTemplate.getAllProperties` will return all properties that have been added to a template if the template was stored after the property addition.

Refer to the Administrator Guide for Content Server for additional details on Content Server property and its usage.

Method Summary
`IBooleanProperty` | `createBooleanProperty(java.lang.String name, java.lang.String description)` Creates a boolean property.
`IDateProperty` | `createDateProperty(java.lang.String name, java.lang.String description)` Creates a date property.
`IDoubleProperty` | `createDoubleProperty(java.lang.String name, java.lang.String description)` Creates a double property.
`IFileProperty` | `createFileProperty(java.lang.String name, java.lang.String description)` Creates a file property.
`IImageProperty` | `createImageProperty(java.lang.String name, java.lang.String description)` Creates an image property.
`IIntegerProperty` | `createIntegerProperty(java.lang.String name, java.lang.String description)` Creates an integer property.
`IItemCollectionProperty` | `createItemCollectionProperty(java.lang.String name, java.lang.String description)` Creates a content item collection property.
`IItemReferenceProperty` | `createItemReferenceProperty(java.lang.String name, java.lang.String description)` Creates a content item reference property.
`ISelectionListProperty` | `createSelectionListProperty(java.lang.String name, java.lang.String description, ISelectionList selectionList)` Creates a selection list property with an existing selection list.
`ITextBlockProperty` | `createTextBlockProperty(java.lang.String name, java.lang.String description)` Creates a text block property.
`ITextLineProperty` | `createTextLineProperty(java.lang.String name, java.lang.String description)` Creates a text line property.

Method Detail

### createBooleanProperty

    public IBooleanProperty createBooleanProperty(java.lang.String name,
                                                  java.lang.String description)

  Creates a boolean property.

  Parameters:
    `name` - name of the property The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
    `description` - description of the property; cannot be `null` or longer than 255 characters.
  Returns:
    an `IBooleanProperty`.
  Throws:
    `java.lang.IllegalArgumentException` - if the name or description is a string longer than 255 characters.

### createDateProperty

    public IDateProperty createDateProperty(java.lang.String name,
                                            java.lang.String description)

  Creates a date property.

  Parameters:
    `name` - name of the property The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
    `description` - description of the property; cannot be `null` or longer than 255 characters.
  Returns:
    an `IDateProperty`.
  Throws:
    `java.lang.IllegalArgumentException` - if the name or description is a string longer than 255 characters.

### createDoubleProperty

    public IDoubleProperty createDoubleProperty(java.lang.String name,
                                                java.lang.String description)

  Creates a double property.

  Parameters:
    `name` - name of the property The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
    `description` - description of the property; cannot be `null` or longer than 255 characters.
  Returns:
    an `IDoubleProperty`.
  Throws:
    `java.lang.IllegalArgumentException` - if the name or description is a string longer than 255 characters.

### createFileProperty

    public IFileProperty createFileProperty(java.lang.String name,
                                            java.lang.String description)

  Creates a file property.

  Parameters:
    `name` - name of the property The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
    `description` - description of the property; cannot be `null` or longer than 255 characters.
  Returns:
    an `IFileProperty`.
  Throws:
    `java.lang.IllegalArgumentException` - if the name or description is a string longer than 255 characters.

### createImageProperty

    public IImageProperty createImageProperty(java.lang.String name,
                                              java.lang.String description)

  Creates an image property.

  Parameters:
    `name` - name of the property The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
    `description` - description of the property; cannot be `null` or longer than 255 characters.
  Returns:
    an `IImageProperty`.
  Throws:
    `java.lang.IllegalArgumentException` - if the name or description is a string longer than 255 characters.

### createIntegerProperty

    public IIntegerProperty createIntegerProperty(java.lang.String name,
                                                  java.lang.String description)

  Creates an integer property.

  Parameters:
    `name` - name of the property The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
    `description` - description of the property; cannot be `null` or longer than 255 characters.
  Returns:
    an `ITextLineProperty`.
  Throws:
    `java.lang.IllegalArgumentException` - if the name or description is a string longer than 255 characters.

### createItemCollectionProperty

    public IItemCollectionProperty createItemCollectionProperty(java.lang.String name,
                                                                java.lang.String description)

  Creates a content item collection property.

  Parameters:
    `name` - name of the property The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
    `description` - description of the property; cannot be `null` or longer than 255 characters.
  Returns:
    an `IItemCollectionProperty`.
  Throws:
    `java.lang.IllegalArgumentException` - if the name or description is a string longer than 255 characters.

### createItemReferenceProperty

    public IItemReferenceProperty createItemReferenceProperty(java.lang.String name,
                                                              java.lang.String description)

  Creates a content item reference property.

  Parameters:
    `name` - name of the property The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
    `description` - description of the property; cannot be `null` or longer than 255 characters.
  Returns:
    an `IItemReferenceProperty`.
  Throws:
    `java.lang.IllegalArgumentException` - if the name or description is a string longer than 255 characters.

### createSelectionListProperty

    public ISelectionListProperty createSelectionListProperty(java.lang.String name,
                                                              java.lang.String description,
                                                              ISelectionList selectionList)

  Creates a selection list property with an existing selection list. If the selection list is not a persisted object, an `IllegalStateException` will be thrown when `IDataEntryTemplate.store` is called. The following example demonstrates creating a selection list and a selection list property.

       // Create a selection list representing states
       String[] stateOptionValues = {"CA", "MA"};
       ISelectionList stateSelectionList = selectionListManager.createSelectionList(rootFolder, "State Selection List", stateOptionValues);
       stateSelectionList.store();
       // Create a selection list property that uses the selection list
       ISelectionListProperty stateSelectionListProperty = propertyManager.createSelectionListProperty("State Selection List Property", "Choose a state.", stateSelectionList);
       // Get the selection list
       ISelectionList originalSelectionList = stateSelectionListProperty.getSelectionList();
       // The returned selection list is the same as the stateSelectionList above.
       // Set the selection list on the property
       stateSelectionListProperty.setSelectionList(originalSelectionList);
       // The selection list is identical, so there
       // is no functional change to the selection list property.

  Parameters:
    `name` - name of the property The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
    `description` - description of the property; cannot be `null` or longer than 255 characters.
    `selectionList` - an existing selection list; cannot be `null`.
  Returns:
    an `ISelectionListProperty`.
  Throws:
    `java.lang.IllegalArgumentException` - if the name or description is a string longer than 255 characters.

### createTextBlockProperty

    public ITextBlockProperty createTextBlockProperty(java.lang.String name,
                                                      java.lang.String description)

  Creates a text block property.

  Parameters:
    `name` - name of the property The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
    `description` - description of the property; cannot be `null` or longer than 255 characters.
  Returns:
    an `ITextBlockProperty`.
  Throws:
    `java.lang.IllegalArgumentException` - if the name or description is a string longer than 255 characters.

### createTextLineProperty

    public ITextLineProperty createTextLineProperty(java.lang.String name,
                                                    java.lang.String description)

  Creates a text line property.

  Parameters:
    `name` - name of the property The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
    `description` - description of the property; cannot be `null` or longer than 255 characters.
  Returns:
    an `ITextLineProperty`.
  Throws:
    `java.lang.IllegalArgumentException` - if the name or description is a string longer than 255 characters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.